commit: 1e5a1470cdd9c23edbc6ad7bd94102978eaf8363
Author: Piotr Karbowski <slashbeast <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 29 21:38:31 2020 +0000
Commit: Piotr Karbowski <slashbeast <AT> gentoo <DOT> org>
CommitDate: Tue Sep 29 21:40:37 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e5a1470
media-sound/deadbeef: dev-libs/jansson depend.
Faster than ago's and toralf's thinderboxes!
Also fixing two typos
Signed-off-by: Piotr Karbowski <slashbeast <AT> gentoo.org>
media-sound/deadbeef/deadbeef-1.8.4.ebuild | 7 ++++---
1 file changed, 4 insertions(+), 3 deletions(-)
diff --git a/media-sound/deadbeef/deadbeef-1.8.4.ebuild
b/media-sound/deadbeef/deadbeef-1.8.4.ebuild
index d078e055802..5b98d6f2ee6 100644
--- a/media-sound/deadbeef/deadbeef-1.8.4.ebuild
+++ b/media-sound/deadbeef/deadbeef-1.8.4.ebuild
@@ -21,6 +21,7 @@ REQUIRED_USE="
DEPEND="
x11-libs/gtk+:3
net-misc/curl:0=
+ dev-libs/jansson
aac? ( media-libs/faad2 )
alsa? ( media-libs/alsa-lib )
cdda? (
@@ -57,7 +58,7 @@ PATCHES=(
src_prepare() {
default
- drop_from_lingaus() {
+ drop_from_linguas() {
sed "/${1}/d" -i "${S}/po/LINGUAS" || die
}
@@ -71,7 +72,7 @@ src_prepare() {
EOF
}
- l10n_for_each_disabled_locale_do drop_from_lingaus || die
+ l10n_for_each_disabled_locale_do drop_from_linguas || die
eautopoint --force
eautoreconf
@@ -80,7 +81,7 @@ src_prepare() {
drop_and_stub "${S}/intl"
# Plugins that are undesired for whatever reason, candidates for
unbundling and such.
- for i in adplug alac dumb ffap mms gme lfs mono2stereo psf sc60 shn
sid soundtouch wma; do
+ for i in adplug alac dumb ffap mms gme lfs mono2stereo psf sc60 shn sid
soundtouch wma; do
drop_and_stub "${S}/plugins/${i}"
done